%define name    ksquirrel	
%define version	0.7.1
%define release	%mkrel 2

Name:		%name
Summary:	KSquirrel - image viewer for KDE
Version:	%version
Release:	%release
License:	GPL
Group:		Graphical desktop/KDE	

Source0:	http://kent.dl.sourceforge.net/sourceforge/ksquirrel/%name-%version.tar.bz2
# fwang: patch proposed by author, to be removed
Patch0: 	ksquirrel-0.7.1-fix-x86_64-build.patch
Patch1: 	ksquirrel-0.7.1-desktop_icon_no_extension.patch
BuildRoot:	%{_tmppath}/%{name}-root
URL:		http://ksquirrel.sourceforge.net/
Requires:	kdebase >= 3.0
BuildRequires:	kdebase-devel
BuildRequires:	libmesaglu-devel
BuildRequires:	ksquirrel-libs-devel = %version
BuildRequires:	libkipi-devel
BuildRequires:	libkexif-devel
BuildRequires:	desktop-file-utils
Suggests:	kipi-plugins

%description
KSquirrel is a fast and convenient image viewer for KDE. 
Projecting this program, I have tried to avoid system mistakes 
which have been admitted in other similar viewers, and to make 
rather flexible program for convenient and fast viewing images.

%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
%configure2_5x --disable-rpath

%make

%install
rm -rf %{buildroot}
%makeinstall PACKAGE=%{name}

mkdir -p %buildroot%_datadir/applications/kde
desktop-file-install --vendor='' --delete-original \
	--dir=%buildroot%_datadir/applications/kde \
	--add-category='Graphics;Viewer;Qt;KDE' \
	ksquirrel/ksquirrel.desktop

# Remove because of conflicts with kdelibs-common
rm -f %buildroot%_datadir/mimelnk/image/x-pict.desktop

%{find_lang} %name

%post
%{update_menus}
%{update_desktop_database}
%update_icon_cache hicolor

%postun
%{clean_menus}
%{clean_desktop_database}
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/applications/kde/ksquirrel.desktop
%{_datadir}/config/magic/*
%{_mandir}/man1/*
%{_datadir}/mimelnk/image/*
%{_datadir}/apps/%{name}
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%lang(ru) %{_datadir}/doc/HTML/ru/ksquirrel
%{_iconsdir}/hicolor/*/apps/*.png


%changelog
* Thu Sep 13 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.7.1-2mdv2008.0
+ Revision: 85238
- Remove x-pict.desktop file because it conflicts with kdelibs-common.
- Fix error in desktop file reported by desktop-file-install
  (desktop_icon_no_extension patch).

* Fri Aug 31 2007 Funda Wang <fundawang@mandriva.org> 0.7.1-1mdv2008.0
+ Revision: 77161
- Add author proposed build fix for x86_64
- BR libkexif
- suggest kipi plugins
- fix filelist
- New version 0.7.1

* Tue May 15 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.7.0-1mdv2008.0
+ Revision: 27094
- Updated to 0.7.0.
- Identation fixes.


* Thu Aug 10 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 08/10/06 15:06:00 (55402)
- New release 0.6.3

* Tue Jul 11 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 07/11/06 08:06:17 (38734)
- Fix File list

* Tue Jul 11 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 07/11/06 07:54:04 (38733)
- Increase release

* Thu Jul 06 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 07/06/06 19:45:39 (38449)
- Fix Menu

* Tue Jul 04 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 07/04/06 16:57:05 (38372)
- Increase release
- Rebuild for new menu && extensions
- Use Macro for icons and mimetypes
- Fix BuildRequires (libmesaglu-devel)

* Tue Jul 04 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 07/04/06 16:44:31 (38368)
import ksquirrel-0.6.2-1mdk

* Tue Jan 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.2-1mdk
- New release 0.6.2
- Drop Patch 0, 1 : Merged Upstream

* Fri Dec 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.1-3mdk
- ooops i forgot ksquirrel-libs-devel as buildrequires

* Thu Dec 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.1-2mdk
- Fix Patch 1

* Thu Dec 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.1-1mdk
- New release 0.6.1
- Fix File list
- Add Requires: now ksquirrel-libs MUST be installed before

* Sat Dec 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-2mdk
- New release 0.6.0
- Fix File list

* Fri Nov 18 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-1.pre9.1mdk
- pre 9

* Thu Nov 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-1.pre8.3mdk
- Fix Requires => ksquirrel-libs
- Fix File section

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-1.pre8.2mdk
- BuildRequires Fix

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-pre8-1mdk
- New release 0.6.0-pre8

* Tue Sep 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-0.pre7.1mdk
- 0.6.0pre7  ( bug fixes )

* Wed Jul 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-0.pre6.1mdk
- 0.6.0pre6
- Add Patch 0 : Fix Build  thanks to Phh for the lesson :)

* Wed Jul 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.0-1mdk
- First Mandriva package aka "comment ai-je pu ne pas voir ce logiciel :)"

